Bug 1785416 - Crash when trying to print document in evince
Summary: Crash when trying to print document in evince
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: poppler
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-19 20:43 UTC by Christophe Fergeau
Modified: 2020-01-04 22:15 UTC (History)
10 users (show)

Fixed In Version: poppler-0.73.0-15.fc30 poppler-0.73.0-15.fc31 poppler-0.73.0-15.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-04 20:32:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Christophe Fergeau 2019-12-19 20:43:43 UTC
With poppler-0.73.0-14.fc31.x86_64 I get a crash when trying to print a specific document in evince or okular

#0  0x00007fffe20b73e8 in CairoRescaleBox::downScaleImage(unsigned int, unsigned int, int, int, unsigned short, unsigned short, unsigned short, unsigned short, _cairo_surface*)
    (this=this@entry=0x7fffe2923e70, orig_width=9000, orig_height=orig_height@entry=1, scaled_width=scaled_width@entry=8192, scaled_height=scaled_height@entry=0, start_column=start_column@entry=0, start_row=0, width=8192, height=0, dest_surface=0x7fffd411a820)
    at /usr/src/debug/poppler-0.73.0-14.fc31.x86_64/poppler/CairoRescaleBox.cc:305
#1  0x00007fffe20b631e in RescaleDrawImage::getSourceImage(Stream*, int, int, int, int, bool, GfxImageColorMap*, int*)
    (maskColorsA=0x7fffe2924050, colorMapA=<optimized out>, printing=<optimized out>, scaledHeight=<optimized out>, scaledWidth=<optimized out>, height=1, widthA=9000, str=0x7fffd411ab70, this=0x7fffe2923e70) at /usr/src/debug/poppler-0.73.0-14.fc31.x86_64/poppler/CairoOutputDev.cc:3186
#2  CairoOutputDev::drawImage(GfxState*, Object*, Stream*, int, int, GfxImageColorMap*, bool, int*, bool)
    (this=0x7fffd405d630, state=0x7fffd4077d00, ref=0x7fffe2924690, str=0x7fffd411ab70, widthA=9000, heightA=1, colorMap=0x7fffe2924150, interpolate=false, maskColors=0x7fffe2924050, inlineImg=false) at /usr/src/debug/poppler-0.73.0-14.fc31.x86_64/poppler/CairoOutputDev.cc:3273
#3  0x00007fffe1b2fc8e in Gfx::doImage(Object*, Stream*, bool) (this=0x7fffd406fe10, ref=0x7fffe2924690, str=0x7fffd411ab70, inlineImg=<optimized out>)
    at /usr/src/debug/poppler-0.73.0-14.fc31.x86_64/poppler/Gfx.cc:4593
#4  0x00007fffe1b328eb in Gfx::opXObject(Object*, int) (this=0x7fffd406fe10, args=<optimized out>, numArgs=<optimized out>)
    at /usr/src/debug/poppler-0.73.0-14.fc31.x86_64/poppler/Object.h:259
#5  0x00007fffe1b29212 in Gfx::go(bool) (this=0x7fffd406fe10, topLevel=<optimized out>) at /usr/src/debug/poppler-0.73.0-14.fc31.x86_64/poppler/Gfx.cc:752
#6  0x00007fffe1b298f2 in Gfx::display(Object*, bool) (this=this@entry=0x7fffd406fe10, obj=obj@entry=0x7fffe2924aa0, topLevel=topLevel@entry=true)
    at /usr/src/debug/poppler-0.73.0-14.fc31.x86_64/poppler/Gfx.cc:714
#7  0x00007fffe1b86d47 in Page::displaySlice(OutputDev*, double, double, int, bool, bool, int, int, int, int, bool, bool (*)(void*), void*, bool (*)(Annot*, void*), void*, bool)
    (this=0x7fffd405f680, out=out@entry=0x7fffd405d630, hDPI=hDPI@entry=72, vDPI=vDPI@entry=72, rotate=rotate@entry=0, useMediaBox=useMediaBox@entry=false, crop=crop@entry=true, sliceX=sliceX@entry=-1, sliceY=<optimized out>, sliceW=<optimized out>, sliceH=<optimized out>, printing=true, abortCheckCbk=<optimized out>, abortCheckCbkData=<optimized out>, annotDisplayDecideCbk=<optimized out>, annotDisplayDecideCbkData=<optimized out>, copyXRef=false)
    at /usr/src/debug/poppler-0.73.0-14.fc31.x86_64/poppler/Page.cc:548
#8  0x00007fffe20992e9 in _poppler_page_render(PopplerPage*, cairo_t*, bool, PopplerPrintFlags)
    (page=0x7fffd405d080, cairo=0x555555b94e00, printing=<optimized out>, print_flags=POPPLER_PRINT_MARKUP_ANNOTS)
    at /usr/src/debug/poppler-0.73.0-14.fc31.x86_64/glib/poppler-page.cc:353
#9  0x00007ffff7f2951d in ev_job_print_run () at /lib64/libevview3.so.3
#10 0x00007ffff7f2a392 in ev_job_thread_proxy () at /lib64/libevview3.so.3
#11 0x00007ffff7180f52 in g_thread_proxy () at /lib64/libglib-2.0.so.0
#12 0x00007ffff6fa74e2 in start_thread () at /lib64/libpthread.so.0
#13 0x00007ffff6ed6693 in clone () at /lib64/libc.so.6

This is fixed upstream by https://github.com/freedesktop/poppler/commit/fef3bbc1ef61fb8ee9

If needed I can privately provide the document. It contains someone's personal  address so I'm not attaching it here.

Comment 1 Marek Kašík 2019-12-20 15:41:27 UTC
Thank you for remainding me this. I've pushed the fix to supported Fedoras.

Comment 2 Fedora Update System 2019-12-20 15:45:39 UTC
FEDORA-2019-a9f5ee37ee has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a9f5ee37ee

Comment 3 Fedora Update System 2019-12-20 15:45:40 UTC
FEDORA-2019-37152881a8 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-37152881a8

Comment 4 Fedora Update System 2019-12-21 01:27:06 UTC
poppler-0.73.0-15.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-37152881a8

Comment 5 Fedora Update System 2019-12-21 01:41:39 UTC
poppler-0.73.0-15.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a9f5ee37ee

Comment 6 Fedora Update System 2020-01-04 20:32:48 UTC
poppler-0.73.0-15.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2020-01-04 22:15:25 UTC
poppler-0.73.0-15.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.